package com.company.formitem.view.test;

import com.company.formitem.entity.Test;

import com.company.formitem.view.main.MainView;

import com.vaadin.flow.component.grid.Grid;
import com.vaadin.flow.router.Route;
import io.jmix.core.DataManager;
import io.jmix.core.security.CurrentAuthentication;
import io.jmix.flowui.component.grid.DataGrid;
import io.jmix.flowui.view.*;
import org.springframework.beans.factory.annotation.Autowired;

import java.util.List;

@Route(value = "tests", layout = MainView.class)
@ViewController("Test.list")
@ViewDescriptor("test-list-view.xml")
@LookupComponent("testsDataGrid")
@DialogMode(width = "64em")
public class TestListView extends StandardListView<Test> {

	@ViewComponent
	private DataGrid<Test> testsDataGrid;
	@Subscribe
	public void onInit(final InitEvent event)
	{
		String headText = "prg header";
		int x = 1;
		List<Grid.Column<Test>> columns = testsDataGrid.getColumns();
		for ( Grid.Column<Test> col : columns ) {
			col.setHeader(headText + " " + x++);
		}
	}

}